com.ryuuji.api

## Class ReportesService

- java.lang.Object
- - com.ryuuji.api.ReportesService

    public class ReportesService
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ReportesService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HashMapWrapper` `generarReporteApoderado(java.io.File xslPath, boolean xml, boolean json, boolean html, boolean xlsx, boolean docx)` Reporte que entrega los datos de notas, planificaciones y anotaciones de los alumnos de un apoderado
`HashMapWrapper` `generarReporteApoderadosMasEstudiantes(java.io.File xslPath, boolean xml, boolean json, boolean html, boolean xlsx, boolean docx)` Reporte que almacena los apoderados que tienen mas de un estudiante en el colegio
`HashMapWrapper` `generarReporteAsistenciaBajo(int porcentaje, java.io.File xslPath, boolean xml, boolean json, boolean html, boolean xlsx, boolean docx)` Reporte que almacena los estudiantes que tienen una asistencia bajo el porcentaje ingresado
`HashMapWrapper` `generarReporteAsistenciaYNotas(orm.Estudiante estudiante, java.io.File xslPath, boolean xml, boolean json, boolean html, boolean xlsx, boolean docx)` Reporte que almacena la asistencia y las notas de un estudiante
`HashMapWrapper` `generarReporteNotasProfesor(orm.Profesor profesor, java.io.File xslPath, boolean xml, boolean json, boolean html, boolean xlsx, boolean docx)` Reporte que almacena las notas ingresadas en las asignaturas que imparte el profesor seleccionado
`HashMapWrapper` `generarReportePlanificaciones(orm.Apoderado apoderado, java.io.File xslPath, boolean xml, boolean json, boolean html, boolean xlsx, boolean docx)` Reporte que almacena las planificaciones de los estudiantes de un apoderado
`HashMapWrapper` `generarReporteReprobando(java.io.File xslPath, boolean xml, boolean json, boolean html, boolean xlsx, boolean docx)` Reporte que almacena los estudiantes que estan reprobando en el sistema.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReportesService

    public ReportesService()

### Method Detail

#### generarReporteApoderado

    public HashMapWrapper generarReporteApoderado(java.io.File xslPath,
                                                  boolean xml,
                                                  boolean json,
                                                  boolean html,
                                                  boolean xlsx,
                                                  boolean docx)

Reporte que entrega los datos de notas, planificaciones y anotaciones de los alumnos de un apoderado

Parameters:
  `xslPath` - ruta en la cual se encuentran los xsl para la transformacion
  `xml` - Si se guardara el xml
  `json` - Si se guardara el json
  `html` - Si se guardara el html
  `xlsx` - Si se guardara el xlsx
  `docx` - Si se guardara el docx
Returns:
  un hashmap con los reportes generados en el

#### generarReporteApoderadosMasEstudiantes

    public HashMapWrapper generarReporteApoderadosMasEstudiantes(java.io.File xslPath,
                                                                 boolean xml,
                                                                 boolean json,
                                                                 boolean html,
                                                                 boolean xlsx,
                                                                 boolean docx)

Reporte que almacena los apoderados que tienen mas de un estudiante en el colegio

Parameters:
  `xslPath` - ruta en la cual se encuentran los xsl para la transformacion
  `xml` - Si se guardara el xml
  `json` - Si se guardara el json
  `html` - Si se guardara el html
  `xlsx` - Si se guardara el xlsx
  `docx` - Si se guardara el docx
Returns:
  un hashmap con los reportes generados en el

#### generarReporteAsistenciaBajo

    public HashMapWrapper generarReporteAsistenciaBajo(int porcentaje,
                                                       java.io.File xslPath,
                                                       boolean xml,
                                                       boolean json,
                                                       boolean html,
                                                       boolean xlsx,
                                                       boolean docx)

Reporte que almacena los estudiantes que tienen una asistencia bajo el porcentaje ingresado

Parameters:
  `xslPath` - ruta en la cual se encuentran los xsl para la transformacion
  `xml` - Si se guardara el xml
  `json` - Si se guardara el json
  `html` - Si se guardara el html
  `xlsx` - Si se guardara el xlsx
  `docx` - Si se guardara el docx
  `porcentaje` - Porcentaje maximo para considerar que tiene una baja asistencia
Returns:
  un hashmap con los reportes generados en el

#### generarReporteAsistenciaYNotas

    public HashMapWrapper generarReporteAsistenciaYNotas(orm.Estudiante estudiante,
                                                         java.io.File xslPath,
                                                         boolean xml,
                                                         boolean json,
                                                         boolean html,
                                                         boolean xlsx,
                                                         boolean docx)

Reporte que almacena la asistencia y las notas de un estudiante

Parameters:
  `xslPath` - ruta en la cual se encuentran los xsl para la transformacion
  `xml` - Si se guardara el xml
  `json` - Si se guardara el json
  `html` - Si se guardara el html
  `xlsx` - Si se guardara el xlsx
  `docx` - Si se guardara el docx
  `estudiante` - El estudiante al cual se le extraeran los datos
Returns:
  un hashmap con los reportes generados en el

#### generarReporteNotasProfesor

    public HashMapWrapper generarReporteNotasProfesor(orm.Profesor profesor,
                                                      java.io.File xslPath,
                                                      boolean xml,
                                                      boolean json,
                                                      boolean html,
                                                      boolean xlsx,
                                                      boolean docx)

Reporte que almacena las notas ingresadas en las asignaturas que imparte el profesor seleccionado

Parameters:
  `xslPath` - ruta en la cual se encuentran los xsl para la transformacion
  `xml` - Si se guardara el xml
  `json` - Si se guardara el json
  `html` - Si se guardara el html
  `xlsx` - Si se guardara el xlsx
  `docx` - Si se guardara el docx
  `profesor` - Profesor del que se extraeran los datos
Returns:
  un hashmap con los reportes generados en el

#### generarReportePlanificaciones

    public HashMapWrapper generarReportePlanificaciones(orm.Apoderado apoderado,
                                                        java.io.File xslPath,
                                                        boolean xml,
                                                        boolean json,
                                                        boolean html,
                                                        boolean xlsx,
                                                        boolean docx)

Reporte que almacena las planificaciones de los estudiantes de un apoderado

Parameters:
  `xslPath` - ruta en la cual se encuentran los xsl para la transformacion
  `xml` - Si se guardara el xml
  `json` - Si se guardara el json
  `html` - Si se guardara el html
  `xlsx` - Si se guardara el xlsx
  `docx` - Si se guardara el docx
  `apoderado` - Apoderado del cual son los estudiantes
Returns:
  un hashmap con los reportes generados en el

#### generarReporteReprobando

    public HashMapWrapper generarReporteReprobando(java.io.File xslPath,
                                                   boolean xml,
                                                   boolean json,
                                                   boolean html,
                                                   boolean xlsx,
                                                   boolean docx)

Reporte que almacena los estudiantes que estan reprobando en el sistema.

Parameters:
  `xslPath` - ruta en la cual se encuentran los xsl para la transformacion
  `xml` - Si se guardara el xml
  `json` - Si se guardara el json
  `html` - Si se guardara el html
  `xlsx` - Si se guardara el xlsx
  `docx` - Si se guardara el docx
Returns:
  un hashmap con los reportes generados en el